std::allocator< _Tp >(3)

NAME
std::allocator< _Tp > - The standard allocator, as per [20.4].

SYNOPSIS

Inherits __gnu_cxx::new_allocator< _Tp >.

  Public Types
typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef ptrdiff_t difference_type
typedef true_type is_always_equal
typedef _Tp * pointer
typedef true_type propagate_on_container_move_assignment
typedef _Tp & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions
constexpr allocator (const allocator &__a) noexcept
template<typename _Tp1 > constexpr allocator (const allocator< _Tp1 > &) noexcept
const_pointer address (const_reference __x) const noexcept
pointer address (reference __x) const noexcept
_Tp * allocate (size_type __n, const void *=static_cast< const void * >(0))
template<typename _Up , typename... _Args> void construct (_Up *__p, _Args &&... __args) noexcept(std::is_nothrow_constructible< _Up, _Args... >::value)
void deallocate (_Tp *__p, size_type __t)
template<typename _Up > void destroy (_Up *__p) noexcept(std::is_nothrow_destructible< _Up >::value)
size_type max_size () const noexcept
allocator & operator= (const allocator &)=default

  Friends
constexpr friend bool operator!= (const allocator &, const allocator &) noexcept
constexpr friend bool operator== (const allocator &, const allocator &) noexcept

Detailed Description

  template<typename _Tp>
class std::allocator< _Tp >" The standard allocator, as per [20.4]. See https://gcc.gnu.org/onlinedocs/libstdc++/manual/memory.html#std.util.memory.allocator for further details.

Template Parameters
    _Tp Type of allocated object.

Definition at line 116 of file allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.